@echo off
set SJAR=sikulix
set SIKULIX_HOME=%~dp0
set PARMS=-Xms64M -Xmx512M -Dfile.encoding=UTF-8 -Dsikuli.FromCommandLine

if not defined JAVA_HOME goto CHECKJAVA
IF EXIST "%JAVA_HOME%\bin\java.exe" goto JAVA_OK
echo ---JAVA_HOME no java %JAVA_HOME%
echo ---Look Java in OS---

:CHECKJAVA
java teeestofcha> nul
if errorlevel 9009 goto CHECKPGFILES
goto JAVA_OK_PATH

:CHECKPGFILES
set PROGRAMS=%ProgramFiles%
if defined ProgramFiles(x86) set PROGRAMS32=%ProgramFiles(x86)%

IF not EXIST "%PROGRAMS%\Java\jre8\bin\java.exe" goto STOPIT
set JAVA_HOME=%PROGRAMS%\Java\jre8
goto JAVA_OK

:JAVA_OK_PATH
echo -
echo ---run Java on path---
echo -
set SIKULI_COMMAND=%*
java -version
PATH=%SIKULIX_HOME%libs;%PATH%
echo -
echo ---run SikuliX---
echo -
echo use: %PARMS% -jar %SIKULIX_HOME%%SJAR%.jar %SIKULI_COMMAND%
echo -
java %PARMS% -jar "%SIKULIX_HOME%%SJAR%.jar" %SIKULI_COMMAND%
echo -
GOTO FINALLY

:JAVA_OK
echo -
echo ---run Java on path---
echo -
set SIKULI_COMMAND=%*
"%JAVA_HOME%\bin\java.exe" -version
PATH=%SIKULIX_HOME%libs;%PATH%
echo -
echo ---run SikuliX on fchat--- v101
echo -
echo use: %PARMS% -jar %SIKULIX_HOME%%SJAR%.jar %SIKULI_COMMAND%
echo -
"%JAVA_HOME%\bin\java.exe" %PARMS% -jar "%SIKULIX_HOME%%SJAR%.jar" %SIKULI_COMMAND%
echo -
GOTO FINALLY

:STOPIT
echo -
echo ---path or no java error---
echo -

:FINALLY
ENDLOCAL
